import { EventEmitter, Renderer } from '@angular/core';
import { DcEventService } from '../broadcast/broadcast.service';
import { ActivatedRoute, Router } from '@angular/router';
export declare class HeaderComponent {
    private renderer;
    private broadcast;
    private router;
    private activeRoute;
    userInfo: any;
    userMenuData: any;
    leftMenuStatus: boolean;
    toggleLeftMenuEvent: EventEmitter<{}>;
    searchResult: EventEmitter<{}>;
    userMenu: EventEmitter<{}>;
    isOpen: boolean;
    keyword: string;
    toggleUserMenu: boolean;
    constructor(renderer: Renderer, broadcast: DcEventService, router: Router, activeRoute: ActivatedRoute);
    toggleUserMenuEvent(ev: any): void;
    onDocumentClick(ev: any): void;
    sendToggleLeftMenu(): void;
    sendSearchResult(): void;
    sendUserMenu(menu: any): void;
}
